Package: org.apache.groovy.ginq.dsl.expression

## [Java] Class FilterExpression

- org.apache.groovy.ginq.dsl.expression.FilterExpression

-     public abstract class FilterExpression
      extends ProcessExpression

  Represents filter expression

  Since:
    4.0.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Expression` | `filterExpr` | Filter expression applied by the clause.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FilterExpression(Expression filterExpr)` Creates a filter expression.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getFilterExpr()` Returns the filter condition.
    `` | `public void` | `setFilterExpr(Expression filterExpr)` Replaces the filter condition.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ProcessExpression` | `getDataSourceExpression, setDataSourceExpression`
    `class AbstractGinqExpression` | `accept, transformExpression, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Field Detail

    - #### protected Expression filterExpr

      Filter expression applied by the clause.

  - ### Constructor Detail

    - #### public FilterExpression(Expression filterExpr)

      Creates a filter expression.

      Parameters:
        `filterExpr` - the filter condition

  - ### Method Detail

    - #### public Expression getFilterExpr()

      Returns the filter condition.

      Returns:
        the filter condition

    - #### public void setFilterExpr(Expression filterExpr)

      Replaces the filter condition.

      Parameters:
        `filterExpr` - the new filter condition